### Virtual Method

# GUPnP Service action_invoked

#### Declaration [src]

    void
    action_invoked (
      GUPnPService* service,
      GUPnPServiceAction* action
    )

#### Description [src]

Default handler for `GUPnPService::action-invoked`. See its documentation for details.

Can be overridden by child classes instead of connecting to the signal.

#### Parameters

`action` | `GUPnPServiceAction`
| A `GUPnPServiceAction`
| The data is owned by the caller of the function.